ICU 76.1: UConverterToUnicodeArgs Struct Reference

ICU 76.1 76.1

Data Fields
UConverterToUnicodeArgs Struct Reference

The structure for the toUnicode callback function parameter. More...

`#include <ucnv_err.h>`

## Data Fields
uint16_t | size
| The size of this struct.
UBool | flush
| The internal state of converter will be reset and data flushed if set to true.
UConverter * | converter
| Pointer to the converter that is opened and to which this struct is passed as an argument.
const char * | source
| Pointer to the source source buffer.
const char * | sourceLimit
| Pointer to the limit (end + 1) of source buffer.
UChar * | target
| Pointer to the target buffer.
const UChar * | targetLimit
| Pointer to the limit (end + 1) of target buffer.
int32_t * | offsets
| Pointer to the buffer that receives the offsets.

## Detailed Description

The structure for the toUnicode callback function parameter.

Stable
  ICU 2.0

Definition at line 210 of file ucnv_err.h.

## Field Documentation

## ◆ converter

UConverter* UConverterToUnicodeArgs::converter

Pointer to the converter that is opened and to which this struct is passed as an argument.

Stable
  ICU 2.0

Definition at line 213 of file ucnv_err.h.

## ◆ flush

UBool UConverterToUnicodeArgs::flush

The internal state of converter will be reset and data flushed if set to true.

Stable
  ICU 2.0

Definition at line 212 of file ucnv_err.h.

## ◆ offsets

int32_t* UConverterToUnicodeArgs::offsets

Pointer to the buffer that receives the offsets.

*offset = blah ; offset++;.

Stable
  ICU 2.0

Definition at line 218 of file ucnv_err.h.

## ◆ size

uint16_t UConverterToUnicodeArgs::size

The size of this struct.

Stable
  ICU 2.0

Definition at line 211 of file ucnv_err.h.

## ◆ source

const char* UConverterToUnicodeArgs::source

Pointer to the source source buffer.

Stable
  ICU 2.0

Definition at line 214 of file ucnv_err.h.

## ◆ sourceLimit

const char* UConverterToUnicodeArgs::sourceLimit

Pointer to the limit (end + 1) of source buffer.

Stable
  ICU 2.0

Definition at line 215 of file ucnv_err.h.

## ◆ target

UChar* UConverterToUnicodeArgs::target

Pointer to the target buffer.

Stable
  ICU 2.0

Definition at line 216 of file ucnv_err.h.

## ◆ targetLimit

const UChar* UConverterToUnicodeArgs::targetLimit

Pointer to the limit (end + 1) of target buffer.

Stable
  ICU 2.0

Definition at line 217 of file ucnv_err.h.

The documentation for this struct was generated from the following file:

- common/unicode/ucnv_err.h